Bug 115328 - New Port: devel/p5-Data-Validate
Summary: New Port: devel/p5-Data-Validate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-08 21:30 UTC by Steven Kreuzer
Modified: 2007-08-21 10:00 UTC (History)
0 users

See Also:


Attachments
file.shar (3.71 KB, text/plain)
2007-08-08 21:30 UTC, Steven Kreuzer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Kreuzer 2007-08-08 21:30:01 UTC
Attached is a port for Data::Validate which are perl routines for common data validation methods

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2007-08-20 18:26:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-08-21 09:57:36 UTC
miwi        2007-08-21 08:57:31 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-Data-Validate Makefile distinfo pkg-descr pkg-plist 
  Log:
  This module collects common validation routines to make input validation,
  and untainting easier and more readable. Most of the functions are not
  much shorter than their direct perl equivalent, but their names make it
  clear what you're trying to test for.
  
  WWW: http://search.cpan.org/~sonnen/Data-Validate-0.08/
  
  PR:             ports/115328
  Submitted by:   Steven Kreuzer <skreuzer at exit2shell.com>
  
  Revision  Changes    Path
  1.2848    +1 -0      ports/devel/Makefile
  1.1       +25 -0     ports/devel/p5-Data-Validate/Makefile (new)
  1.1       +3 -0      ports/devel/p5-Data-Validate/distinfo (new)
  1.1       +6 -0      ports/devel/p5-Data-Validate/pkg-descr (new)
  1.1       +23 -0     ports/devel/p5-Data-Validate/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2007-08-21 09:58:07 UTC
State Changed
From-To: open->closed

New port added. Thanks!